# https://github.com/jstasiak/python-zeroconf/archive/0.20.0.tar.gz
%global module zeroconf

Name:           python-%{module}
Version:        0.20.0
Release:        %mkrel 1
Summary:        Pure Python Multicast DNS Service Discovery Library
Group:          Development/Python
License:        LGPLv2
URL:            https://github.com/jstasiak/%{name}
Source0:        %{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-mock
BuildRequires:  python-enum34
BuildRequires:  python-netifaces
BuildRequires:  python-six

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-mock
BuildRequires:  python3-netifaces
BuildRequires:  python3-six

Requires:       python-enum34
Requires:       python-netifaces
Requires:       python-six

# Integration tests work in mock but fail in Koji with PermissionError
%bcond_with integration

%description
A pure Python implementation of multicast DNS service discovery
supporting Bonjour/Avahi.

%package -n     python3-%{module}
Summary:        Pure Python 3 Multicast DNS Service Discovery Library
Group:          Development/Python
Requires:       python3-netifaces
Requires:       python3-six

%description -n python3-%{module}
A pure Python 3 implementation of multicast DNS service discovery
supporting Bonjour/Avahi.

%prep
%setup -qn %{name}-%{version}
rm -rf %{module}.egg-info

# Remove enum-compat from install_requires
# See https://bugzilla.redhat.com/show_bug.cgi?id=1432165
sed -i '/enum-compat/d' setup.py

%build
%py2_build
%py3_build

%install
%py2_install
%py_byte_compile %{__python2} %{python2_sitelib}
%py3_install
%py_byte_compile %{__python3} %{python3_sitelib}

%files
%doc README.rst COPYING
%{python2_sitelib}/%{module}.py*
%{python2_sitelib}/%{module}-%{version}-py?.?.egg-info

%files -n python3-%{module}
%doc README.rst COPYING
%{python3_sitelib}/%{module}.py
%{python3_sitelib}/%{module}-%{version}-py?.?.egg-info

%changelog
* Thu Jul 03 2018 adrianomorselli <adrianomorselli> 0.20.0-1uplos2018
- update
